Page MenuHomePhabricator

Dismantle Mantle
Closed, ResolvedPublic

Description

Now templates are in core, there is very little reason for Mantle to exist.

For Flow:

  • Move the javascripts/templates/handlebars.js file into the Flow repository.

MobileFrontend:

Mantle [after Flow and MobileFrontend changes have been made]

Adding Zero in case this will have any impacts on them.

Once the above are done we should remove the dependency and deprecate the extension for the time being. We can always resurface it if needed.

Details

Related Gerrit Patches:
mediawiki/extensions/Mantle : masterRemove files so people know this extension is no longer active
operations/mediawiki-config : masterRemove Mantle from configuration
mediawiki/tools/release : masterRemove Mantle from wmf-branch creation script
mediawiki/vagrant : masterRemove Mantle; nothing requires it any more
mediawiki/extensions/Flow : masterDisMantle Mantle
mediawiki/extensions/MobileFrontend : masterRemove Mantle dependency from MobileFrontend

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson set Security to None.
Jdlrobson added a subscriber: Jdlrobson.
Spage added a subscriber: Spage.

Flow uses Lightncandy to deliver handlebars templates, but as I understand it the UI-Standardization effort is only adding mustache support to core (T330: Choose a standard template language doesn't say). Mobile and Flow may need to run local code to keep their Hogan and handlebars templates working, respectively.

Change 183977 had a related patch set uploaded (by Jdlrobson):
Remove Mantle dependency from MobileFrontend

https://gerrit.wikimedia.org/r/183977

Patch-For-Review

Change 183977 merged by jenkins-bot:
Remove Mantle dependency from MobileFrontend

https://gerrit.wikimedia.org/r/183977

hashar added a subscriber: hashar.Jan 13 2015, 8:37 PM

Would it be possible to have Mantle skip loading when it detects it is run with a sufficiently recent version of mediawiki/core ?

@hashar mobile is now not using Mantle for anything. The dependency has also been removed https://gerrit.wikimedia.org/r/183977 although it's harmless when it's side by side.

Removing mobile-web tag since now this is on the Flow team.

Mattflaschen-WMF renamed this task from Dismantle Mantle to Have Flow stop using Mantle.Jan 15 2015, 4:26 AM
Mattflaschen-WMF triaged this task as Medium priority.

Guys.. could you get this done? I'm really keen to stop supporting this extension. It's literally a copy and paste job and shouldn't take longer than 10 mins...

Change 196195 had a related patch set uploaded (by Matthias Mullie):
Dismantle Mantle

https://gerrit.wikimedia.org/r/196195

Change 196195 merged by jenkins-bot:
DisMantle Mantle

https://gerrit.wikimedia.org/r/196195

matthiasmullie reopened this task as Open.Mar 16 2015, 1:59 PM

Probably shouldn't close this yet - anything else needs to happen with Mantle?

matthiasmullie renamed this task from Have Flow stop using Mantle to Dismantle Mantle.Mar 16 2015, 1:59 PM
matthiasmullie removed matthiasmullie as the assignee of this task.
matthiasmullie added a subscriber: matthiasmullie.
Jdlrobson added a subscriber: greg.Mar 20 2015, 9:12 PM

@greg @hashar we can remove Mantle from cluster and browser tests now - nothing is using it. How do we do this?

Change 208496 had a related patch set uploaded (by Mattflaschen):
Remove Mantle; nothing requires it any more

https://gerrit.wikimedia.org/r/208496

Change 208496 merged by jenkins-bot:
Remove Mantle; nothing requires it any more

https://gerrit.wikimedia.org/r/208496

Change 210816 had a related patch set uploaded (by Florianschmidtwelzow):
Remove Mantle from configuration

https://gerrit.wikimedia.org/r/210816

Change 210817 had a related patch set uploaded (by Florianschmidtwelzow):
Remove Mantle from wmf-branch creation script

https://gerrit.wikimedia.org/r/210817

Change 210817 merged by jenkins-bot:
Remove Mantle from wmf-branch creation script

https://gerrit.wikimedia.org/r/210817

So it's no longer being branched, but is still in WMF config. Can this be finished off?

Jdlrobson closed this task as Resolved.May 24 2015, 12:34 PM
Jdlrobson claimed this task.

Change 210816 merged by jenkins-bot:
Remove Mantle from configuration

https://gerrit.wikimedia.org/r/210816

Change 215538 had a related patch set uploaded (by Mattflaschen):
Remove files so people know this extension is no longer active

https://gerrit.wikimedia.org/r/215538

Mattflaschen-WMF reopened this task as Open.Jun 2 2015, 10:54 PM

Would be good to get that last commit merged, so people know this isn't an active extension they have to maintain.

Change 215538 merged by jenkins-bot:
Remove files so people know this extension is no longer active

https://gerrit.wikimedia.org/r/215538

Ricordisamoa closed this task as Resolved.Jun 3 2015, 7:03 AM
Ricordisamoa removed a project: Patch-For-Review.

Dismantled.